#pragma once

#include "prototypes.h"
#include "functions.h"
#include "Effect.h"

class Blur2DEffect : public Effect {
private:
	Window* window = new Window(0, 0, LED_WIDTH, LED_HEIGHT-6);
public:
	~Blur2DEffect();
    boolean supports_window = true;
    boolean can_be_shown_with_clock();
    void loop();
    String get_name() override { return "blur2d"; }
};

